<?php

namespace App\Modules\Admin\Controllers\Admin;

use App\Base\BaseController;
use App\Models\Setting;
use App\Modules\Admin\Services\GoodsService;
use App\Modules\Admin\Services\SettingService;
use Illuminate\Support\Arr;

class GoodsController extends BaseController
{
    /** @var GoodsService $service */
    protected $service;

    public function __construct(GoodsService $authService)
    {
        $this->service = $authService;
    }

    public function specPaginate()
    {
        $data = $this->valid([
            "name" => "",
            "status" => "",
            "page_size" => "",
        ]);

        return $this->ok($this->service->specPaginate($data));
    }

    public function specStore()
    {
        $params = $this->valid([
            "id" => "",
            "name" => "required",
            "attr" => "array",
            "index_weight" => "int",
            "category_weight" => "int",
            "search_weight" => "int",
            "is_custom" => "int",
        ]);

        return $this->ok($this->service->specStore($params));
    }

    public function specInfo()
    {
        $params = $this->valid([
            "id" => "required",
        ]);

        return $this->ok($this->service->specInfo($params));
    }

    public function specDelete()
    {
        $data = $this->valid([
            "id" => "required",
        ]);

        return $this->ok($this->service->specDelete($data));
    }

    public function changeStatus()
    {
        $id = request()->input("id", 0);
        $m = Setting::whereType(Setting::TYPE_BANNER)->where("id", $id)->firstOrFail();
        $value = $m->value ?? [];

        $isUse = 1;
        if (Arr::get($value, "is_use")) {
            $isUse = 0;
        }
        $value['is_use'] = $isUse;
        $m->value = $value;
        $m->save();
        return $this->ok(true);
    }
}
